How to check version of jQuery used by the AWI

book

Article ID: 223424

calendar_today

Updated On:

Products

CA Automic Workload Automation - Automation Engine

Issue/Introduction

Older versions of jQuery have some vulnerabilities. Newer versions of Automic Automation AWI use a jQuery version that does not have the vulnerabilities. How can you check which version is currently being used?

Cause

N/A

Resolution

There are two methods to check:

1. Open the AWI and click the drop down on the top right corner of the screen where it displays the user. Choose 'About' and then 'License information'. This will open a new tab with the version listed.

2. Locate the awi.war file and open it as a archive using a unzip program (i.e. 7zip). From here go to the following path. There you will see the version of jQuery that is used by the awi.

WEB-INF\bundle\webui-vaadin-widgetsets.jar\VAADIN\widgetsets\UC4WebUIWidgetset\

Attachments